Textpattern 4.5.5 Cross Site Scripting Vulnerability

2014-10-02T00:00:00
ID 1337DAY-ID-22720
Type zdt
Reporter High-Tech Bridge
Modified 2014-10-02T00:00:00

Description

Textpattern version 4.5.5 suffers from a cross site scripting vulnerability.

                                        
                                            Product: Textpattern
Vendor: http://textpattern.com/
Vulnerable Version(s): 4.5.5 and probably prior
Tested Version: 4.5.5
Advisory Publication:  July 9, 2014  [without technical details]
Vendor Notification: July 9, 2014 
Vendor Patch: September 20, 2014 
Public Disclosure: October 1, 2014 
Vulnerability Type: Cross-Site Scripting [CWE-79]
CVE Reference: CVE-2014-4737
Risk Level: Medium 
CVSSv2 Base Score: 4.3 (AV:N/AC:M/Au:N/C:N/I:P/A:N)
Solution Status: Fixed by Vendor
Discovered and Provided: High-Tech Bridge Security Research Lab ( https://www.htbridge.com/advisory/ ) 

-----------------------------------------------------------------------------------------------

Advisory Details:

High-Tech Bridge Security Research Lab discovered XSS vulnerability in Textpattern, which can be exploited to perform Cross-Site Scripting attacks against users of vulnerable application.

1) Reflected Cross-Site Scripting (XSS) in Textpattern: CVE-2014-4737

The vulnerability exists due to insufficient sanitization of input data passed via URI after "/textpattern/setup/index.php" script that is not deleted by default. 

A remote attacker can trick a logged-in user to open a specially crafted link and execute arbitrary HTML and script code in browser in context of the vulnerable website. Further exploitation of the vulnerability may allow an attacker to perform phishing attacks and potentially gain unauthorized access to the website.

The following exploitation example uses the JavaScript "alert()" function to display "immuniweb" word:

http://[host]/textpattern/setup/index.php/%22%3E%3Cscript%3Ealert%28immuniweb%29;%3C/script%3E/index.php

-----------------------------------------------------------------------------------------------

Solution:

Update to Textpattern 4.5.7

More Information:
http://textpattern.com/weblog/379/textpattern-cms-457-released-ten-years-on

#  0day.today [2018-03-05]  #